[
    {
        "Id": "6eadd6de635cd1d1b3c521c190055dee25d2e87e109b5e6ddfe8b426660dc50a",
        "Created": "2025-08-19T06:05:41.875639569Z",
        "Path": "docker-entrypoint.sh",
        "Args": [
            "redis-server"
        ],
        "State": {
            "Status": "running",
            "Running": true,
            "Paused": false,
            "Restarting": false,
            "OOMKilled": false,
            "Dead": false,
            "Pid": 3711951,
            "ExitCode": 0,
            "Error": "",
            "StartedAt": "2025-08-19T06:05:41.945503614Z",
            "FinishedAt": "0001-01-01T00:00:00Z"
        },
        "Image": "sha256:6f5542508b8b0f789f6d337b5eb48f86af82ef31df2f831d9e4748ed8a986bbd",
        "ResolvConfPath": "/var/lib/docker/containers/6eadd6de635cd1d1b3c521c190055dee25d2e87e109b5e6ddfe8b426660dc50a/resolv.conf",
        "HostnamePath": "/var/lib/docker/containers/6eadd6de635cd1d1b3c521c190055dee25d2e87e109b5e6ddfe8b426660dc50a/hostname",
        "HostsPath": "/var/lib/docker/containers/6eadd6de635cd1d1b3c521c190055dee25d2e87e109b5e6ddfe8b426660dc50a/hosts",
        "LogPath": "/var/lib/docker/containers/6eadd6de635cd1d1b3c521c190055dee25d2e87e109b5e6ddfe8b426660dc50a/6eadd6de635cd1d1b3c521c190055dee25d2e87e109b5e6ddfe8b426660dc50a-json.log",
        "Name": "/nextcloud-redis",
        "RestartCount": 0,
        "Driver": "overlay2",
        "Platform": "linux",
        "MountLabel": "",
        "ProcessLabel": "",
        "AppArmorProfile": "docker-default",
        "ExecIDs": null,
        "HostConfig": {
            "Binds": null,
            "ContainerIDFile": "",
            "LogConfig": {
                "Type": "json-file",
                "Config": {}
            },
            "NetworkMode": "nextcloud_nextcloud-internal",
            "PortBindings": {},
            "RestartPolicy": {
                "Name": "unless-stopped",
                "MaximumRetryCount": 0
            },
            "AutoRemove": false,
            "VolumeDriver": "",
            "VolumesFrom": null,
            "ConsoleSize": [
                0,
                0
            ],
            "CapAdd": null,
            "CapDrop": null,
            "CgroupnsMode": "private",
            "Dns": [],
            "DnsOptions": [],
            "DnsSearch": [],
            "ExtraHosts": [],
            "GroupAdd": null,
            "IpcMode": "private",
            "Cgroup": "",
            "Links": null,
            "OomScoreAdj": 0,
            "PidMode": "",
            "Privileged": false,
            "PublishAllPorts": false,
            "ReadonlyRootfs": false,
            "SecurityOpt": null,
            "UTSMode": "",
            "UsernsMode": "",
            "ShmSize": 67108864,
            "Runtime": "runc",
            "Isolation": "",
            "CpuShares": 0,
            "Memory": 0,
            "NanoCpus": 0,
            "CgroupParent": "",
            "BlkioWeight": 0,
            "BlkioWeightDevice": null,
            "BlkioDeviceReadBps": null,
            "BlkioDeviceWriteBps": null,
            "BlkioDeviceReadIOps": null,
            "BlkioDeviceWriteIOps": null,
            "CpuPeriod": 0,
            "CpuQuota": 0,
            "CpuRealtimePeriod": 0,
            "CpuRealtimeRuntime": 0,
            "CpusetCpus": "",
            "CpusetMems": "",
            "Devices": null,
            "DeviceCgroupRules": null,
            "DeviceRequests": null,
            "MemoryReservation": 0,
            "MemorySwap": 0,
            "MemorySwappiness": null,
            "OomKillDisable": null,
            "PidsLimit": null,
            "Ulimits": null,
            "CpuCount": 0,
            "CpuPercent": 0,
            "IOMaximumIOps": 0,
            "IOMaximumBandwidth": 0,
            "MaskedPaths": [
                "/proc/asound",
                "/proc/acpi",
                "/proc/interrupts",
                "/proc/kcore",
                "/proc/keys",
                "/proc/latency_stats",
                "/proc/timer_list",
                "/proc/timer_stats",
                "/proc/sched_debug",
                "/proc/scsi",
                "/sys/firmware",
                "/sys/devices/virtual/powercap",
                "/sys/devices/system/cpu/cpu0/thermal_throttle",
                "/sys/devices/system/cpu/cpu1/thermal_throttle",
                "/sys/devices/system/cpu/cpu2/thermal_throttle",
                "/sys/devices/system/cpu/cpu3/thermal_throttle"
            ],
            "ReadonlyPaths": [
                "/proc/bus",
                "/proc/fs",
                "/proc/irq",
                "/proc/sys",
                "/proc/sysrq-trigger"
            ]
        },
        "GraphDriver": {
            "Data": {
                "ID": "6eadd6de635cd1d1b3c521c190055dee25d2e87e109b5e6ddfe8b426660dc50a",
                "LowerDir": "/var/lib/docker/overlay2/575bde7422f0e3bbb379e81e19d786364b459585eec7ae86a5dcbfcb7d9ff4c1-init/diff:/var/lib/docker/overlay2/0267d5d491f552bf9b84029a0ba3563b7a7c50afcf4f0b1321cda110f132678e/diff:/var/lib/docker/overlay2/6ad0bb035a6d77e90904554073897c4c32b8cb8be738298daeb9e6530b35bc85/diff:/var/lib/docker/overlay2/797d3ca70f8d1affa27111ba8da5e3f9816d3c6e226fa059c1cad9832bc90016/diff:/var/lib/docker/overlay2/5ab688ae003fa2386d8bf14500ea16ec1beda85cbb7f66bf48b7ce0b235c1ccc/diff:/var/lib/docker/overlay2/cb6fa99510d58fc1eb361dfb6691325672d9ba115249502417794e0220971a32/diff:/var/lib/docker/overlay2/dad478343728630ed6de5b4934719d50bc55da47f950d3a836cb03756ea0bcfb/diff:/var/lib/docker/overlay2/4a0f9072bad97e2d74ba6d2a821f82be1d51ae3debd282916c5a6f24e7a72cf0/diff",
                "MergedDir": "/var/lib/docker/overlay2/575bde7422f0e3bbb379e81e19d786364b459585eec7ae86a5dcbfcb7d9ff4c1/merged",
                "UpperDir": "/var/lib/docker/overlay2/575bde7422f0e3bbb379e81e19d786364b459585eec7ae86a5dcbfcb7d9ff4c1/diff",
                "WorkDir": "/var/lib/docker/overlay2/575bde7422f0e3bbb379e81e19d786364b459585eec7ae86a5dcbfcb7d9ff4c1/work"
            },
            "Name": "overlay2"
        },
        "Mounts": [
            {
                "Type": "volume",
                "Name": "ec3794dfe53f0e89aa9cb010d05d9803d15b457ca80e10e55bb5d07bfe238475",
                "Source": "/var/lib/docker/volumes/ec3794dfe53f0e89aa9cb010d05d9803d15b457ca80e10e55bb5d07bfe238475/_data",
                "Destination": "/data",
                "Driver": "local",
                "Mode": "",
                "RW": true,
                "Propagation": ""
            }
        ],
        "Config": {
            "Hostname": "5b78f949e086",
            "Domainname": "",
            "User": "",
            "AttachStdin": false,
            "AttachStdout": true,
            "AttachStderr": true,
            "ExposedPorts": {
                "6379/tcp": {}
            },
            "Tty": false,
            "OpenStdin": false,
            "StdinOnce": false,
            "Env": [
                "redis.session.lock_retries=-1",
                "redis.session.lock_wait_time=10000",
                "redis.session.locking_enabled=1",
                "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
                "REDIS_DOWNLOAD_URL=http://download.redis.io/releases/redis-8.2.1.tar.gz",
                "REDIS_DOWNLOAD_SHA=e2c1cb9dd4180a35b943b85dfc7dcdd42566cdbceca37d0d0b14c21731582d3e"
            ],
            "Cmd": [
                "redis-server"
            ],
            "Image": "redis:alpine",
            "Volumes": {
                "/data": {}
            },
            "WorkingDir": "/data",
            "Entrypoint": [
                "docker-entrypoint.sh"
            ],
            "OnBuild": null,
            "Labels": {
                "com.docker.compose.config-hash": "456be1a922391d7e66cf4cbe9ee51e890fe63462598792e6bfc7b5b8cf8f0de6",
                "com.docker.compose.container-number": "1",
                "com.docker.compose.depends_on": "",
                "com.docker.compose.image": "sha256:d470ca4bc10ce2d16268912e403494f8785413a2ab6677d8cd444412349bfc2d",
                "com.docker.compose.oneoff": "False",
                "com.docker.compose.project": "nextcloud",
                "com.docker.compose.project.config_files": "/srv/mergerfs/presscloud/docker/nextcloud/nextcloud.yml,/srv/mergerfs/presscloud/docker/nextcloud/compose.override.yml",
                "com.docker.compose.project.environment_file": "/srv/mergerfs/presscloud/docker/global.env,/srv/mergerfs/presscloud/docker/nextcloud/nextcloud.env",
                "com.docker.compose.project.working_dir": "/srv/mergerfs/presscloud/docker/nextcloud",
                "com.docker.compose.service": "nextcloud-redis",
                "com.docker.compose.version": "2.35.1"
            }
        },
        "NetworkSettings": {
            "Bridge": "",
            "SandboxID": "3df83856426533358aa56e7d3110ce65ff2c6085c2b8ada37dda38576e70a034",
            "SandboxKey": "/var/run/docker/netns/3df838564265",
            "Ports": {
                "6379/tcp": null
            },
            "HairpinMode": false,
            "LinkLocalIPv6Address": "",
            "LinkLocalIPv6PrefixLen": 0,
            "SecondaryIPAddresses": null,
            "SecondaryIPv6Addresses": null,
            "EndpointID": "",
            "Gateway": "",
            "GlobalIPv6Address": "",
            "GlobalIPv6PrefixLen": 0,
            "IPAddress": "",
            "IPPrefixLen": 0,
            "IPv6Gateway": "",
            "MacAddress": "",
            "Networks": {
                "nextcloud_nextcloud-internal": {
                    "IPAMConfig": null,
                    "Links": null,
                    "Aliases": [
                        "nextcloud-redis",
                        "5b78f949e086"
                    ],
                    "MacAddress": "e2:91:f0:0c:b3:c3",
                    "DriverOpts": null,
                    "GwPriority": 0,
                    "NetworkID": "ebe1b3036446770dcd767ab73157e5a076f03c2b8b9d96d78ccd2b9a7c078ca6",
                    "EndpointID": "c60131cb4a9d45cecc5bf5219c47751def5ece06b3f84095b228e538a02d0e78",
                    "Gateway": "172.20.0.1",
                    "IPAddress": "172.20.0.2",
                    "IPPrefixLen": 16,
                    "IPv6Gateway": "",
                    "GlobalIPv6Address": "",
                    "GlobalIPv6PrefixLen": 0,
                    "DNSNames": [
                        "nextcloud-redis",
                        "5b78f949e086",
                        "6eadd6de635c"
                    ]
                }
            }
        }
    }
]
